Package wx :: Class Point

[frames | no frames]

## Type Point

    object --+
             |
            Point

A data structure for representing a point or position with integer x and y properties. Most places in wxPython that expect a wx.Point can also accept a (x,y) tuple.

Method Summary
Point | ``__init__`(self, x, y)` Create a wx.Point object
Point | ``__add__`(self, pt)` Add pt's proprties to this and return the result.
| `__del__(self)`
bool | ``__eq__`(self, other)` Test for equality of wx.Point objects.
| `__getitem__(self, index)`
Point | ``__iadd__`(self, pt)` Add pt to this object.
Point | ``__isub__`(self, pt)` Subtract pt from this object.
| `__len__(self)`
bool | ``__ne__`(self, other)` Test for inequality of wx.Point objects.
| `__nonzero__(self)`
| `__reduce__(self)`
| `__repr__(self)`
| `__setitem__(self, index, val)`
| `__str__(self)`
Point | ``__sub__`(self, pt)` Subtract pt's proprties from this and return the result
| ``asTuple`(*args, **kwargs)` asTuple is deprecated, use `Get` instead
(x,y) | ``Get`()` Return the x and y properties as a tuple.
| ``Set`(self, x, y)` Set both the x and y properties

Property Summary
| `thisown`: The membership flag
| `x`
| `y`

Class Variable Summary
`bool` | `__safe_for_unpickling__` = `True`

Method Details

### __init__(self, x=0, y=0)
(Constructor)

Create a wx.Point object

  Parameters:
    `x`
    (type=int)

    `y`
    (type=int)

  Returns:
    Point
  Overrides:
    `__builtin__.object.__init__`

### __add__(self, pt)
(Addition operator)

Add pt's proprties to this and return the result.

  Parameters:
    `pt`
    (type=Point)

  Returns:
    Point

### __eq__(self, other)
(Equality operator)

Test for equality of wx.Point objects.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### __iadd__(self, pt)

Add pt to this object.

  Parameters:
    `pt`
    (type=Point)

  Returns:
    Point

### __isub__(self, pt)

Subtract pt from this object.

  Parameters:
    `pt`
    (type=Point)

  Returns:
    Point

### __ne__(self, other)

Test for inequality of wx.Point objects.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### __sub__(self, pt)
(Subtraction operator)

Subtract pt's proprties from this and return the result

  Parameters:
    `pt`
    (type=Point)

  Returns:
    Point

### asTuple(*args, **kwargs)

asTuple is deprecated, use `Get` instead

### Get()

Return the x and y properties as a tuple.

  Returns:
    (x,y)

### Set(self, x, y)

Set both the x and y properties

  Parameters:
    `x`
    (type=long)

    `y`
    (type=long)

Property Details

### thisown

The membership flag

Class Variable Details

### __safe_for_unpickling__

  Type:
    `bool`
  Value:

        True

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:06 2007 | http://epydoc.sf.net